Uploaded image for project: 'Jenkins Artifactory Plug-in'
  1. Jenkins Artifactory Plug-in
  2. HAP-621

Override credentials hierarchy is incorrect

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: 2.3.1
    • Fix Version/s: 2.4.0
    • Component/s: None
    • Labels:
      None

      Description

      In Freestyle Generic or Maven2, the credentials override is incorrect in the following scenario:
      While Overriding the deployer credentials in the job, the resolution process is also affected from it.

      The correct behavior is to use the resolver credentials from the main plugin configuration, in case there is no override in the job page.

        Attachments

          Activity

            People

            • Assignee:
              liorha Lior Hasson
              Reporter:
              liorha Lior Hasson
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: